﻿using System;
using System.Net;
using System.Windows;
using FlickrNet;

namespace Upload2Flickr
{
    public class FlickrManager
    {
        public const string ApiKey = "bb4c903fa89ecd046036892569387ed3";
        public const string SharedSecret = "fc572bbf2c5b0eea";

        public static Flickr GetInstance()
        {
            return new Flickr(ApiKey, SharedSecret);
        }

        public static Flickr GetAuthInstance()
        {
            var f = new Flickr(ApiKey, SharedSecret);
            f.OAuthAccessToken = OAuthToken.Token;
            f.OAuthAccessTokenSecret = OAuthToken.TokenSecret;
            return f;
        }

        public static OAuthAccessToken OAuthToken
        {
            get
            {
                return Properties.Settings.Default.OAuthToken;
            }
            set
            {
                Properties.Settings.Default.OAuthToken = value;
                Properties.Settings.Default.Save();
            }
        }

    }
}
